:root{
    --solid-grey: #b4b7ba;
    --black-dark: #1b1f23;
    --black-med: #1e2428;
    --black-light: #242a30;
    --base-green: #5a9e96;

    --bg-date-header: #5a9e96;
    --bg-desc-header: #407069;
    --bg-details-header: #4c7f77;
    --bg-hun-header: #558e83;
    --bg-nat-header: #60a093;

    --bg-image-column: #1b1f23;
    --bg-desc-column: #1e2428;
    --bg-details-column: #242a30;
    --bg-hun-column: #2f373d;
    --bg-nat-column: #3c454c;
    --text-blue: #68a5dc;
}
@font-face{
    font-family: 'AthenaBook';
    src: url('fonts/Athena-Book.ttf');
}

@font-face{
    font-family: 'AthenaBold';
    src: url('fonts/Athena-Bold.ttf');
}


body{
    margin: 0;
    padding: 0;
    user-select: none;
    width: 100vw;
    height: 100vh;
    background-color: #2e3840;
    overflow-x: hidden;
    overflow-y: hidden;
    font-family: AthenaBook;
}
.main-bg-image{
    position: absolute;
    top: 0;
    left: 0;
}

/* Content */

.content-container-counter{
    height: 62vh;
}

.content-container-main{
    width: 90%;
    position: absolute;
    left: 50%;
    margin: auto;
    transform: translate(-50%, 0);
    top: 10vh;
    height: 52vh;
}

/**
Karika: 135px belső 30px külső
*/

.timeline-scroll-container{
    visibility: none;
    margin-top: 0vh;
    overflow-x: scroll;
    position: absolute;
    width: 100vw;
    top: 61vh;
}

.timeline-scroll-container::-webkit-scrollbar{
    display: none;
}
.scroll-wrapper{
    position: relative;
    overflow-x: hidden;
    width: fit-content;
}
.scroll-inner{
    position: relative;
    display: flex;
    flex-direction: row;
    width: auto;
}
.year-main{
    /*width: 120px;
    height: 120px;*/
    /*
    width: 135px;
    height: 135px;*/
    border-radius: 50%;
    text-align: center;
    color: white;
    pointer-events: none;
}
.year-border{
    background-color: var(--solid-grey);
    /*border: 23px solid var(--solid-grey);*/
    border-radius: 55%;
    margin-left: 10px;
    margin-right: 10px;
}

.fake-div-left{
    width: 45vw;
}
.fake-div-right{
    width: 45vw;
}

.pager-img{
    display: none;
    position: absolute;
    top: 45vh;

    width: 3vw;
}
.pager-prev{
    left: 1vw;
}
.pager-next{
    right: 1vh;
}

/* COLORS AND TEXT*/

/*Történelem*/
.color-history{
    background-color: #5a9e96;
}
/* RÉGÉSZET */
.color-archeology{
    background-color: #68a5dc;
}
.color-etnography{
    background-color: #9fbe38;
}

.color-art, .color-base{
    background-color: #dbda34;
}

.year-text-base{
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    font-family: AthenaBold;
    font-size: 2.25vh;
    margin: auto;
}

.year-text-short{
   /* font-size: 4vh;*/
}




.content-container-right{
    display: none;
    left: 6000px;
}
.content-container-left{
    display: none;
    left: -1500px;
}

.content-main{
    position: relative;
    width: 100%;
    height: 100%;
}
.content-wrapper{
    height: 100%;
}
.content-data-wrapper{
    position: relative;
    height: 100%;
    display: flex;
    flex-direction: row;
    height: 100%;
    justify-content: center;
    height: 38vh;
}
.data-column{
    /*
    width: 500px;
    height: 550px;*/
    width: 20%;
    height: 100%;
}


/* HEADER */
.content-header{
    display: flex;
    flex-direction: row;
    height: 6vh;
    justify-content: center;
}

.header-arrow-img{
    /*width: 35px;
    height: 35px;
    margin-left: 15px;
    margin-top: 10px;*/

    margin-left: 1vw;
    align-self: center;
    height: 90%;
}

.header-title{
    width: 20%;
}

.header-small{
    display: flex;
    align-self: end;
    height: 55%;
    text-transform: uppercase;
    color: white;
    position: relative;
}
.date-text{
    width: 100%;
    text-align: center;
}
.header-small-text{
    font-size: 0.9vw;
    margin-left: 0.5vw;
    margin-top: 0;
    align-self: center;
}

.header-date{
    background-color: var(--bg-date-header);
    color: white;
    font-size: 1.65vw;
    height: 100%;
    padding-bottom: 0;
    padding-top: 0.5rem;
}
.header-desc{
    background-color: var(--bg-desc-header);
}
.header-details{
    background-color: var(--bg-details-header);
}
.header-hun{
    background-color: var(--bg-hun-header);
}
.header-nat{
    background-color: var(--bg-nat-header);
}

/* CONTENTS */

.content-base-text{
   /* font-size: 1.9rem;
    line-height: 2.2rem;*/
    font-size: 1.10vw;
    color: white;
    padding: 1vw;
    /*text-align: justify;*/
    padding-top :0.5vh;
}

/* IMAGE COLUMN */
.content-image-wrapper{
    position: relative;
    height: 100%;
    background-color: var(--bg-image-column);
    display: flex;
    flex-direction: column;
}

.image-column-wrapper{
    display: flex;
    height: 100%;
    flex-direction: column;
}

.content-title{
    width: 90%;
    text-align: center;
    margin: auto;
    height: 90%;
    font-size: 1.75vh;
    color: white;
    display: flex;
    align-items: center;
    justify-content: center;
    font-family: 'AthenaBold';
}

.image-inner-wrapper{
    position: relative;
}
.content-title-inner-wrapper{
    width: 100%;
    height: 100%;
}
.content-image{
    width:auto;
    max-width: 95%;
    display: flex;
    margin: auto;
    margin-top: 1vh;
    max-height: 25vh;

    height: 90%;
    width: auto;
    object-fit: cover;
}

.zoom-icon-wrapper{
    display: flex;
    justify-content: end;
    align-items: center;
    padding-top: 0.5vh;
    width: 95%;
    margin: auto;
}
.zoom-icon{
    width: 2vh;
}


/* DESCRIPTION COLUMN */
.content-desc-wrapper{
    background-color: var(--bg-desc-column);
}
.content-desc{
    height: 85%;
    overflow-y: auto;
    text-align: left;
    margin-top: 0.5vh;
}

.content-desc::-webkit-scrollbar{
    width: 25px;
}
.content-desc::-webkit-scrollbar-thumb{
    background-color: var(--bg-desc-header);
}
.content-desc::-webkit-scrollbar-track{
    display: none;
}

/* DETAILS column */
.content-details{
    overflow-y: auto;
    height: 92%;
    margin-top: 0.5vh;
}

.content-details::-webkit-scrollbar{
    width: 25px;
}
.content-details::-webkit-scrollbar-thumb{
    background-color: var(--bg-details-header);
}
.content-details::-webkit-scrollbar-track{
    display: none;
}

.content-details-wrapper{
    background-color: var(--bg-details-column);
}

.content-details-list{
    line-height: 4rem;
}
.detail-wrapper:first-of-type{
    margin-top: 0;
}

.detail-wrapper{
    text-align: left;
    margin-top: 1.5vh;
}

.detail-property{
    color: var(--text-blue)
}

/* HUN COLUMN */

.content-hun-wrapper{
    background-color: var(--bg-hun-column);
}

/* HUN COLUMN */

.content-nat-wrapper{
    background-color: var(--bg-nat-column);
}


.status-line-wrapper{
    position: relative;
    width: 100%;
    display: flex;
    justify-content: center;
    height: 7.9vh;
}
.status-line{
    width: 0.20vw;
    background-color: white;
    
}

/* FILTER BUTTONS */

.filter-buttons-container{
    position: absolute;
    display: flex;
    flex-direction: row;
    /*justify-content: space-between;*/
    width: 80%;
    left: 10vw;
    bottom: 0;
}

.filter-btn{
    /*width: 380px;*/
    font-size: 2.5vh;
    color: white;
    text-align: center;
    padding: 0.8vh 0;
    background-color: var(--bg-desc-header);
}
.filter-btn-mid, .filter-btn-left{
   /* border-right: 0.15vw solid white;*/
}
.filter-btn-left{
    background-color: #C5D835;
}
.filter-btn-left:before{
    content: '';
    width: 70px;
    height: 100%;
    top: 0px;
    left: -40px;
    transform: skew(-25deg);
    position: absolute;
    background-color: #C5D835;
}

.filter-btn-ac{
    background-color: #B4D636;
}
.filter-btn-13c{
    background-color: #9FBE38;
}
.filter-btn-17c{
    background-color: #8FBC39;
}
.filter-btn-18c{
    background-color: #68A5DC;
}

.filter-btn-18c-2{
    background-color: #5C8BD6;
}

.filter-btn-20c{
    background-color: #5A9E96;
}
.filter-btn-21c{
    background-color: #3D8E82;
}
.filter-btn-right:after{
    content: '';
    width: 70px;
    height: 100%;
    top: 0px;
    right: -40px;
    transform: skew(-25deg);
    position: absolute;
    background-color: #3D8E82;
}

.filter-separator{
    position: absolute;
    bottom: 0;
}

#activeFilterBtnImg{
    position: absolute;
    bottom: 4vh;
   /* left: 455px;*/
}

/** PSWP UI */
.pswp__top-bar{
    display: none;
    top: unset !important;
    bottom: 0 !important;
    height: 150px;
}
.pswp-close-btn{
    position: absolute;
    bottom: 1vw;
    right: 1vw;
    width: 3vw;
}

.pswp__button--arrow--right, .pswp__button--arrow--left{
    display: none !important;
}

.pswp-custom-button{
    position: absolute;
}
.pswp-arrow-btn{
    width: 2vw;
    top: 46vh;
}
.pswp__button--prev{
    left: 0.5vw;
}
.pswp__button--next{
    right: 0.5vw;
}

/*splide UI*/

.splide__pagination{

    bottom: -1vw !important;
}

.splide__pagination__page{
    width: 15px !important;
    height: 15px !important;
    margin: 8px !important;
}

.splide-arrow{
    width: 3em !important;
    height: 3em !important;
}

.filter-btn-wrapper{
    position: relative;
}

.filter-separator{
    left: -17px;
}


@media only screen and (max-width: 750px) {
    .header-arrow-img{
        width: 19px;
        height: 19px;
    }
    .header-small-text{
        font-size: 1.2vw;
    }
    .content-header{
        height: 5vh;
    }
    .header-date{
        font-size: 2vh;
    }
    .content-desc::-webkit-scrollbar {
        width: 10px;
    }
    .content-base-text{
        font-size: 2vw;
    }
    .content-container-main{
        width: 100%;
    }
    .filter-separator{
        display: none;

    }
    .filter-btn-left:before{
        display: none;
    }
    .filter-btn-right:after{
        display: none;
    }
    .filter-buttons-container{
        width: 100%;
        left: 0;
    }
    .filter-btn-wrapper{
        width: 20%;
    }
    #activeFilterBtnImg{
        max-width: 80px !important;
        bottom: 8vh;
    }
  }
  